gnutls_x509_crt_get_subject(3)

NAME
gnutls_x509_crt_get_subject - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject(gnutls_x509_crt_t cert, gnutls_x509_dn_t * dn);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_x509_dn_t * dn
    output variable with pointer to opaque DN.

DESCRIPTION
Return the Certificate's Subject DN as an opaque data type. You may use gnutls_x509_dn_get_rdn_ava() to decode the DN.

RETURNS
Returns 0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.